pike.git / lib / modules / Standards.pmod / X509.pmod

version» Context lines:

pike.git/lib/modules/Standards.pmod/X509.pmod:177:   protected class RSAVerifier   {    inherit Verifier;    constant type = "rsa";       protected void create(string key) {    pkc = RSA.parse_public_key(key);    }       __deprecated__ Crypto.RSA.State `rsa() { -  return [object(Crypto.RSA.State)]pkc; +  return pkc;    }   }      protected class DSAVerifier   {    inherit Verifier;    constant type = "dsa";       protected void create(string key, Gmp.mpz p, Gmp.mpz q, Gmp.mpz g)    {    pkc = DSA.parse_public_key(key, p, q, g);    }       __deprecated__ Crypto.DSA.State `dsa() { -  return [object(Crypto.DSA.State)]pkc; +  return pkc;    }   }      #if constant(Crypto.ECC.Curve)   protected class ECDSAVerifier   {    inherit Verifier;    constant type = "ecdsa";       protected void create(string(8bit) key, Identifier curve_id)